import React from "react";
import PropTypes from "prop-types";
import Icon from "./Icon";

const LocationIcon = ({ originalWidth, originalHeight, color, ...props }) => (
    <Icon
        originalHeight={originalHeight}
        originalWidth={originalWidth}
        {...props}
    >
        <path fill-rule="evenodd" clip-rule="evenodd" d="M15.097 17.0751C17.2787 17.2285 19.2607 17.5434 20.7705 17.9814C22.0975 18.3664 24 19.0996 24 20.4844C24 21.6215 22.704 22.5202 20.148 23.1555C17.9571 23.7001 15.0634 24 12 24C8.93662 24 6.04294 23.7001 3.852 23.1555C1.296 22.5202 0 21.6214 0 20.4844C0 19.0999 1.90167 18.3667 3.2295 17.9814C4.73925 17.5434 6.72122 17.2285 8.90292 17.0751L5.56317 12.0239C4.71497 10.7545 4.26562 9.27023 4.26562 7.73438C4.26562 3.46964 7.73527 0 12 0C16.2647 0 19.7344 3.46964 19.7344 7.73438C19.7344 9.27028 19.285 10.7545 18.4349 12.0267L15.097 17.0751ZM12 22.5938C14.7562 22.5938 19.8656 22.2537 22.0498 20.9726C22.497 20.7103 22.5938 20.5179 22.5938 20.4844C22.5938 20.3832 22.1996 19.8603 20.3787 19.332C18.7817 18.8687 16.5998 18.5509 14.2013 18.4299L12.5865 20.8722C12.4563 21.069 12.236 21.1875 12 21.1875C11.764 21.1875 11.5437 21.069 11.4135 20.8722L9.7987 18.4299C7.40025 18.5508 5.21827 18.8687 3.62133 19.332C1.80042 19.8603 1.40625 20.3832 1.40625 20.4844C1.40625 20.5179 1.50305 20.7103 1.95023 20.9726C4.17019 22.2747 9.3697 22.5938 12 22.5938ZM8.48438 7.73438C8.48438 5.79586 10.0615 4.21875 12 4.21875C13.9385 4.21875 15.5156 5.79586 15.5156 7.73438C15.5156 9.67289 13.9385 11.25 12 11.25C10.0615 11.25 8.48438 9.67289 8.48438 7.73438Z" fill="#2F80ED"/>
    </Icon>
);

LocationIcon.defaultProps = {
    originalWidth: 24,
    originalHeight: 24,
};

LocationIcon.propTypes = {
    originalHeight: PropTypes.number,
    originalWidth: PropTypes.number,
};

export default LocationIcon;
